# -*- coding: utf-8 -*-
from turtle import *
from math import *
from random import *

#Paramétrage de la fenêtre
fenetre = Screen()
fenetre.setup(680,680)
fenetre.setworldcoordinates(-11,-11,11,11)
fenetre.bgcolor('black')

#Paramétrage du pinceau
pinceau=Turtle()
register_shape("Tableaux/Pinceau.gif")
pinceau.shape("Tableaux/Pinceau.gif")
pinceau.up()
pinceau.speed(2)
pinceau.width(2)
pinceau.color("grey")

###################### TABLEAU 0 #######################

def oeuvre0():
  fenetre.bgpic("Tableaux/Repere.gif")    #On charge le repère

  #On trace les segments sur lesquels seront placés les disques
  pinceau.goto(-11,0.5*(-11)+3)           
  pinceau.down()
  pinceau.goto(11,0.5*11+3)
  pinceau.up()
  pinceau.goto(-11,-2*(-11)+8)
  pinceau.down()
  pinceau.goto(11,-2*11+8)
  pinceau.up()

  #On trace les disques
  for x in range(-10,3):
    pinceau.goto(x,0.5*x+3)
    pinceau.dot(30,'grey')
  for x in range(2,11):
    pinceau.goto(x,-2*x+8)
    pinceau.dot(30,'grey')

#oeuvre0()   #Pour lancer la fonction, il faut enlever le # au début de cette ligne

###################### TABLEAU 1 #######################

def oeuvre1():
  fenetre.bgpic("Tableaux/Repere.gif")

  #On trace les segments sur lesquels seront placés les disques
  pinceau.goto(-11,(-11)/2+5)
  pinceau.down()
  pinceau.goto(11,11/2+5)
  pinceau.up()
  pinceau.goto(-11,11/2+5)
  pinceau.down()
  pinceau.goto(11,-11/2+5)
  pinceau.up()

  #On trace les disques
  for x in range(-10,1):
    pinceau.goto(x,x/2+5)
    pinceau.dot(30,'grey')
  for x in range(1,11):
    pinceau.goto(x,-x/2+5)
    pinceau.dot(30,'grey')

#oeuvre1()

###################### TABLEAU 2 #######################

def oeuvre2():
  fenetre.bgpic("Tableaux/Repere.gif")

  #On trace les segments sur lesquels seront placés les disques
  pinceau.goto(-11,-3*(-2)/4+2)
  pinceau.down()
  pinceau.goto(11,-3*(-2)/4+2)
  pinceau.up()
  pinceau.goto(-11,-3*(-11)/4+2)
  pinceau.down()
  pinceau.goto(11,-3*11/4+2)
  pinceau.up()
  pinceau.goto(-11,-3*5/4+2)
  pinceau.down()
  pinceau.goto(11,-3*5/4+2)
  pinceau.up()

  #On trace les disques
  for x in range(-10,-1):
    pinceau.goto(x,-3*(-2)/4+2)
    pinceau.dot(30,'grey')
  for x in range(-2,6):
    pinceau.goto(x,-3*x/4+2)
    pinceau.dot(30,'grey')
  for x in range(5,11):
    pinceau.goto(x,-3*5/4+2)
    pinceau.dot(30,'grey')

#oeuvre2()

###################### TABLEAU 3 #######################

def oeuvre3():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,-11/2+5)
  pinceau.down()
  pinceau.goto(11,11/2+5)
  pinceau.up()
  pinceau.goto(-11,0)
  pinceau.down()
  pinceau.goto(11,0)
  pinceau.up()
  pinceau.goto(-11,5)
  pinceau.down()
  pinceau.goto(11,5)
  pinceau.up()
  pinceau.goto(-11,-11/2)
  pinceau.down()
  pinceau.goto(11,11/2)
  pinceau.up()
  
  for x in range(-10,1):
    pinceau.goto(x,x/2+5)
    pinceau.dot(30,'grey')
  for x in range(0,11):
    pinceau.goto(x,x/2)
    pinceau.dot(30,'grey')
  for x in range(-10,1):
    pinceau.goto(x,0)
    pinceau.dot(30,'grey')
  for x in range(0,11):
    pinceau.goto(x,5)
    pinceau.dot(30,'grey')

#oeuvre3()

###################### TABLEAU 4 #######################

def oeuvre4():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,(-11)+8)
  pinceau.down()
  pinceau.goto(11,11+8)
  pinceau.up()
  pinceau.goto(-11,-(-11)+8)
  pinceau.down()
  pinceau.goto(11,-11+8)
  pinceau.up()
  pinceau.goto(-11,-11-8)
  pinceau.down()
  pinceau.goto(11,11-8)
  pinceau.up()
  
  for x in range(-10,1):
    pinceau.goto(x,x+8)
    pinceau.dot(30,'grey')
  for x in range(0,9):
    pinceau.goto(x,-x+8)
    pinceau.dot(30,'grey')
  for x in range(-2,9):
    pinceau.goto(x,x-8)
    pinceau.dot(30,'grey')

#oeuvre4()

###################### TABLEAU 5 #######################

def oeuvre5():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,0.4*(-11)+4)
  pinceau.down()
  pinceau.goto(11,0.4*11+4)
  pinceau.up()
  pinceau.goto(-11,0.5*(-11)+0)
  pinceau.down()
  pinceau.goto(11,0.5*11+0)
  pinceau.up()
  pinceau.goto(-11,0.6*(-11)-4)
  pinceau.down()
  pinceau.goto(11,0.6*11-4)
  pinceau.up()
  
  for x in range(-8,9):
      pinceau.goto(x,0.4*x+4)
      pinceau.dot(30,'grey')
      pinceau.goto(x,0.5*x+0)
      pinceau.dot(30,'grey')
      pinceau.goto(x,0.6*x-4)
      pinceau.dot(30,'grey')

#oeuvre5()

###################### TABLEAU 6 #######################

def oeuvre6():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,-6)
  pinceau.down()
  pinceau.goto(7,12)
  pinceau.up()
  pinceau.goto(-11,6)
  pinceau.down()
  pinceau.goto(11,-16)
  pinceau.up()
  pinceau.goto(-11,16)
  pinceau.down()
  pinceau.goto(11,-6)
  pinceau.up()
  pinceau.goto(-11,-16)
  pinceau.down()
  pinceau.goto(11,6)
  pinceau.up()
  
  for x in range(-5,0):
      pinceau.goto(x,x+5)
      pinceau.dot(30,'grey')
  for x in range(-5,0):
      pinceau.goto(x,-x-5)
      pinceau.dot(30,'grey')
  for x in range(0,6):
      pinceau.goto(x,-x+5)
      pinceau.dot(30,'grey')
  for x in range(0,6):
      pinceau.goto(x,x-5)
      pinceau.dot(30,'grey')

#oeuvre6()

###################### TABLEAU 7 #######################

def oeuvre7():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,-1.5)
  pinceau.down()
  pinceau.goto(11,9.5)
  pinceau.up()
  pinceau.goto(-11,1.5)
  pinceau.down()
  pinceau.goto(11,-9.5)
  pinceau.up()
  pinceau.goto(-11,9.5)
  pinceau.down()
  pinceau.goto(11,-1.5)
  pinceau.up()
  pinceau.goto(-11,-9.5)
  pinceau.down()
  pinceau.goto(11,1.5)
  pinceau.up()
  
  for x in range(-8,0):
      pinceau.goto(x,0.5*x+4)
      pinceau.dot(30,'grey')
      pinceau.goto(x,-0.5*x-4)
      pinceau.dot(30,'grey')
  for x in range(0,9):
      pinceau.goto(x,-0.5*x+4)
      pinceau.dot(30,'grey')
      pinceau.goto(x,0.5*x-4)
      pinceau.dot(30,'grey')

#oeuvre7()

###################### TABLEAU 8 #######################

def oeuvre8():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,2*(-11)+8)
  pinceau.down()
  pinceau.goto(2,2*2+8)
  pinceau.up()
  pinceau.goto(-11,4)
  pinceau.down()
  pinceau.goto(11,4)
  pinceau.up()
  pinceau.goto(-11,-8)
  pinceau.down()
  pinceau.goto(11,-8)
  pinceau.up()
  pinceau.goto(-2,-2*(-2)+8)
  pinceau.down()
  pinceau.goto(11,-2*11+8)
  pinceau.up()
  
  for x in range(-8,-1):
    pinceau.goto(x,2*x+8)
    pinceau.dot(30,'grey')
  for x in range(2,9):
    pinceau.goto(x,-2*x+8)
    pinceau.dot(30,'grey')
  for x in range(-8,9):
    pinceau.goto(x,-8)
    pinceau.dot(30,'grey')
  for x in range(-2,3):
    pinceau.goto(x,4)
    pinceau.dot(30,'grey')

#oeuvre8()

###################### TABLEAU 9 #######################

def oeuvre9():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,0.75*(-11)+6)
  pinceau.down()
  pinceau.goto(11,0.75*11+6)
  pinceau.up()
  pinceau.goto(-5,-7*(-5)/4+6)
  pinceau.down()
  pinceau.goto(11,-7*11/4+6)
  pinceau.up()
  pinceau.goto(-11,-(-11)/2-4)
  pinceau.down()
  pinceau.goto(11,-11/2-4)
  pinceau.up()
  
  for x in range(-8,1):
    pinceau.goto(x,0.75*x+6)
    pinceau.dot(30,'grey')
  for x in range(0,9):
    pinceau.goto(x,-7*x/4+6)
    pinceau.dot(30,'grey')
  for x in range(-8,9):
    pinceau.goto(x,-x/2-4)
    pinceau.dot(30,'grey')

#oeuvre9()

###################### TABLEAU 10 #######################

def oeuvre10():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,0)
  pinceau.down()
  pinceau.goto(11,0)
  pinceau.up()
  pinceau.goto(-11,(-11)+8)
  pinceau.down()
  pinceau.goto(11,11+8)
  pinceau.up()
  pinceau.goto(-11,-(-11)+8)
  pinceau.down()
  pinceau.goto(11,-11+8)
  pinceau.up()
  
  for x in range(-8,9):
    pinceau.goto(x,0)
    pinceau.dot(30,'grey')
  for x in range(-8,1):
    pinceau.goto(x,x+8)
    pinceau.dot(30,'grey')
  for x in range(0,9):
    pinceau.goto(x,-x+8)
    pinceau.dot(30,'grey')

#oeuvre10()

###################### TABLEAU 11 #######################

def oeuvre11():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,0.25*(-11))
  pinceau.down()
  pinceau.goto(11,0.25*11)
  pinceau.up()
  pinceau.goto(-11,-0.25*(-11))
  pinceau.down()
  pinceau.goto(11,-0.25*11)
  pinceau.up()
  pinceau.goto(-11,-0.75*(-11))
  pinceau.down()
  pinceau.goto(11,-0.75*11)
  pinceau.up()
  pinceau.goto(-11,0.75*(-11))
  pinceau.down()
  pinceau.goto(11,0.75*11)
  pinceau.up()
  
  for x in range(-10,11):
    pinceau.goto(x,0.25*x)
    pinceau.dot(30,'grey')
  for x in range(-10,11):
    pinceau.goto(x,-0.25*x)
    pinceau.dot(30,'grey')
  for x in range(-10,11):
    pinceau.goto(x,0.75*x)
    pinceau.dot(30,'grey')
  for x in range(-10,11):
    pinceau.goto(x,-0.75*x)
    pinceau.dot(30,'grey')

#oeuvre11()

###################### TABLEAU 12 #######################

def oeuvre12():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,-(-11)+5)
  pinceau.down()
  pinceau.goto(11,-11+5)
  pinceau.up()
  pinceau.goto(-11,-2*(-11)+5)
  pinceau.down()
  pinceau.goto(11,-2*11+5)
  pinceau.up()
  pinceau.goto(-11,(-11)+5)
  pinceau.down()
  pinceau.goto(11,11+5)
  pinceau.up()
  pinceau.goto(-11,2*(-11)+5)
  pinceau.down()
  pinceau.goto(11,2*11+5)
  pinceau.up()
  
  for x in range(-6,11):
    pinceau.goto(x,-x+5)
    pinceau.dot(30,'grey')
  for x in range(-3,11):
    pinceau.goto(x,-2*x+5)
    pinceau.dot(30,'grey')
  for x in range(-10,7):
    pinceau.goto(x,x+5)
    pinceau.dot(30,'grey')
  for x in range(-10,4):
    pinceau.goto(x,2*x+5)
    pinceau.dot(30,'grey')

#oeuvre12()

###################### TABLEAU 13 #######################

def oeuvre13():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,-(-11)+6)
  pinceau.down()
  pinceau.goto(11,-11+6)
  pinceau.up()
  pinceau.goto(-11,-(-11)-6)
  pinceau.down()
  pinceau.goto(11,-11-6)
  pinceau.up()
  pinceau.goto(-11,(-11)-6)
  pinceau.down()
  pinceau.goto(11,11-6)
  pinceau.up()
  pinceau.goto(-11,(-11)+6)
  pinceau.down()
  pinceau.goto(11,11+6)
  pinceau.up()
    
  for x in range(-4,11):
    pinceau.goto(x,-x+6)
    pinceau.dot(30,'grey')
  for x in range(-10,5):
    pinceau.goto(x,-x-6)
    pinceau.dot(30,'grey')
  for x in range(-10,5):
    pinceau.goto(x,x+6)
    pinceau.dot(30,'grey')
  for x in range(-4,11):
    pinceau.goto(x,x-6)
    pinceau.dot(30,'grey')

#oeuvre13()

###################### TABLEAU 14 #######################

def oeuvre14():
  fenetre.bgpic("Tableaux/Repere.gif")
  pinceau.goto(-11,4)
  pinceau.down()
  pinceau.goto(11,4)
  pinceau.up()
  pinceau.goto(-11,12/7*(-11)-8)
  pinceau.down()
  pinceau.goto(11,12/7*(11)-8)
  pinceau.up()
  pinceau.goto(-11,12/7*(-11)+8)
  pinceau.down()
  pinceau.goto(11,12/7*(11)+8)
  pinceau.up()
  pinceau.goto(-11,-12/7*(-11)-8)
  pinceau.down()
  pinceau.goto(11,-12/7*(11)-8)
  pinceau.up()
  pinceau.goto(-11,-4)
  pinceau.down()
  pinceau.goto(11,-4)
  pinceau.up()
  pinceau.goto(-11,-12/7*(-11)+8)
  pinceau.down()
  pinceau.goto(11,-12/7*11+8)
  pinceau.up()
  
  for x in range(-7,8):
    pinceau.goto(x,4)
    pinceau.dot(30,'grey')
  for x in range(0,8):
    pinceau.goto(x,12*x/7-8)
    pinceau.dot(30,'grey')
  for x in range(-7,1):
    pinceau.goto(x,-12/7*x-8)
    pinceau.dot(30,'grey')
  for x in range(-7,1):
    pinceau.goto(x,12*x/7+8)
    pinceau.dot(30,'grey')
  for x in range(-7,8):
    pinceau.goto(x,-4)
    pinceau.dot(30,'grey')
  for x in range(0,8):
    pinceau.goto(x,-12/7*x+8)
    pinceau.dot(30,'grey')

#oeuvre14()

##################### FIN DE VOTRE TRAVAIL ###################
pinceau.hideturtle()
fenetre.mainloop()
